Subject: Re: bug#53655: haskell build system cannot build attoparsec

From: "Philip Munksgaard" <[email-masked]>
Date: Thu, 07 Apr 2022 10:23:48 +0200

A patch has been submitted for the second part of this issue [0] and a new issue has been created for the first part [1]. I'm therefore closing this issue.

0: https://issues.guix.gnu.org/54729
1: https://issues.guix.gnu.org/54760

On Wed, 6 Apr 2022, at 21:27, zimoun wrote:
> Hi,
>
> On Mon, 31 Jan 2022 at 11:33, "Philip Munksgaard" <[email-masked]> wrote:
>
>> ```
>> (define-module (gnu packages futhark)
>>   #:use-module (guix packages)
>>   #:use-module (guix download)
>>   #:use-module (guix build-system haskell)
>>   #:use-module (guix licenses)
>>   #:use-module (guix git-download)
>>   #:use-module ((guix licenses) #:prefix license:)
>>   #:use-module (gnu packages)
>>   #:use-module (gnu packages haskell)
>>   #:use-module (gnu packages haskell)
>>   #:use-module (gnu packages haskell-web)
>>   #:use-module (gnu packages haskell-xyz)
>>   #:use-module (gnu packages haskell-check)
>>   #:use-module (gnu packages haskell-crypto))
>>
>> (package
>>   (name "ghc-attoparsec")
>>   (version "0.14.4")
>>   (source
>>     (origin
>>       (method url-fetch)
>>       (uri (hackage-uri "attoparsec" version))
>>       (sha256
>>         (base32 "0v4yjz4qi8bwhbyavqxlhsfb1iv07v10gxi64khmsmi4hvjpycrz"))))
>>   (build-system haskell-build-system)
>>   (inputs (list ghc-scientific))
>>   (native-inputs
>>     (list ghc-quickcheck
>>           ghc-quickcheck-unicode
>>           ghc-tasty
>>           ghc-tasty-quickcheck
>>           ghc-vector))
>>   (arguments
>>     `(#:cabal-revision
>>       ("1" "149ihklmwnl13mmixq6iq5gzggkgqwsqrjlg2fshqwwbvbd4nn3r")))
>>   (home-page "https://github.com/bgamari/attoparsec")
>>   (synopsis "Fast combinator parsing for bytestrings and text")
>>   (description
>>     "This package provides a fast parser combinator library, aimed particularly at
>> dealing efficiently with network protocols and complicated text/binary file
>> formats.")
>>   (license license:bsd-3))
>> ```
>>
>> When trying to build this file however, I get the following error:
>
> This part is now fixed by <https://issues.guix.gnu.org/54729#2>.  But it
> is a core-updates change so the fix will land master at the next
> cycle... who knows when. ;-)
>
> For the other issue about the importer, I suggest to close this one and
> reopen an issue.
>
>
> Cheers,
> simon